<?php
defined('_JEXEC') or die;

/* --CSS on of -------------------------------------------------------------------------- */
if ($params->get('include_css', 1))
    $document->addStyleSheet(JURI::base() . 'modules/mod_shmsckrollnews/css/css.css');
/* --Size of news wide -------------------------------------------------------------------------- */
?>

<div data-ride="carousel" class="carousel slide" id="shmsckrollnews">
    <div class="carousel-inner">
        <?php
        foreach ($list as $item):
            if ($params->get('show_intro', 1))
            {/* --Intro------------------------------------------ */
                $introtext = $item->introtext;
            }
            if ($params->get('show_imgshm', 0))
                $images = json_decode($item->images);
            ?>
            <div class="item"> 
                <div class="carousel-caption"> 
                    <!--IMG------------------------------------------> 
                    <?php
                    if ($params->get('show_imgshm', 0))
                    {
                        ?>
                        <div class="shmscrollnews-img">
                            <?php
                            if ($params->get('imgshm_link', 1))
                            {
                                ?>
                                <a href="<?php echo $item->link; ?>" class="shmnsckrollews-imglink" >
                                    <?php }
                                ?>
                                <img 
                                <?php
                                if (isset($images->image_intro_caption) && $images->image_intro_caption):
                                    echo 'class="caption"' . ' title="' . htmlspecialchars($images->image_intro_caption) . '"';
                                endif;
                                ?>
                                    src="<?php echo htmlspecialchars($images->image_intro); ?>" alt="<?php echo htmlspecialchars($images->image_intro_alt); ?>"/>

                        <?php if ($params->get('imgshm_link', 1))
                        { ?></a><?php }
                        ?>
                        </div>
                        <?php }
                    ?>
                    <!--end IMG------------------------------------------> 
                    <!--Cat Title----------------------------------------->
                    <?php
                    if ($params->get('show_category', 1))
                        echo '<div class="shmscrollnews-category">' . $item->category_title . '</div>';
                    ?>
                    <!--end Cat Title------------------------------------->
                    <!--Data---------------------------------------------->
                    <?php
                    if ($params->get('show_date', 1))
                    {
                        $data_ar = strftime($params->get('date_format', '%d-%m-%Y'), strtotime($item->publish_up));
                        //delim stroku s datoy
                        $string_array = explode(" ", $data_ar);
                        $string_data_spans[] = "";
                        unset($string_data_spans);
                        foreach ($string_array as $key => $value) {
                            $string_data_spans[] = '<span class="lastnewsdata' . $key . '">' . $value . '</span> ';
                        } //$string_array as $key => $value
                        echo '<div class="shmscrollnews-date">' . implode($string_data_spans) . '</div>';
                    }
                    ?>
                    <!--end Data------------------------------------------>
                    <!--Title--------------------------------------------->
                        <?php
                        if ($params->get('show_title', 1))
                        {
                            ?>    
                        <div class="shmsckrollnews-title" >
                                <?php
                                if ($params->get('link_title', 1))
                                {
                                    ?>
                                <a href="<?php echo $item->link; ?>" class="shmsckrollnews-title-link" >
                                    <?php }
                                ?>
                            <?php
                            echo $item->title;
                            ?>
                        <?php
                        if ($params->get('link_title', 1))
                        {
                            ?></a><?php }
                        ?>
                        </div>
                            <?php }
                        ?>
                    <!--end Title----------------------------------------->
                    <!--Intro--------------------------------------------->
                        <?php
                        if ($params->get('show_intro', 1))
                        {
                            ?>
                      <!--  <blockquote> -->
        <?php
        echo $introtext;
        if ($params->get('show_readmore', 1))
        { /* read more */
            echo '<span class="shmsckrollnews-readmore"> <a href="' . $item->link . '" class="shmsckrollnews-lreadmore">' . $params->get('readmore_text', "Read more") . '</a></span>';
        }
        ?>
                      <!--  </blockquote> -->
                <?php }
            ?>
                    <!--Intro--------------------------------------------->

                </div>
            </div>
            <?php
        endforeach;

        if ($params->get('show_link', 1))
        {
            ?>
            <div  class="shmsckrollnews-more">
                <a href="<?php echo $params->get('link', ""); ?>">
    <?php echo $params->get('link_text', "More news..."); ?>
                </a>
            </div>
    <?php }
?>

    </div>
    <a class="carousel-control left" href="#shmsckrollnews" data-slide="prev">&lsaquo;</a>
    <a class="carousel-control right" href="#shmsckrollnews" data-slide="next">&rsaquo;</a>
</div>


<script type="text/javascript">
    !function($) {
        $('.carousel').carousel({
            interval: <?php echo $params->get('carusel_interval', 2000) ?>,
            pause: "hover"

        })
    }(window.jQuery)
    jQuery.noConflict()

    jQuery(document).ready(function() {
        jQuery('.carousel').each(function(index, element) {
            jQuery(this)[index].slide = null;
        });
        jQuery('.carousel').carousel('cycle');
    });


</script>